IBM i software requirements for the Assure UI server - Assure_DB2_Data_Monitor_(DB2MON) - Assure_Elevated_Authority_Manager_(EAM) - Assure_Encryption - Assure_Monitoring_and_Reporting_(AMR) - Assure_Secure_File_Transfer - Assure_Secure_File_Transfer_ - Assure_Secure_File_Transfer_PGP - Assure_Secure_File_Transfer_with_PGP - Assure_Security_Multi-Factor_Authentication_(MFA) - Assure_System_Access_Manager_(SAM) - Required_for_All_Modules - assure_ioptimize - assure_itera - assure_mimix - 10.0

License Manager for IBM i Products

Product type
Software
Portfolio
Integrate
Product family
Assure
Product
Assure Security > Assure Encryption
Assure Security > Assure DB2 Data Monitor (DB2MON)
Assure MIMIX™ Software
Assure Security > Assure Monitoring and Reporting (AMR)
Assure Security > Assure Elevated Authority Manager (EAM)
Assure Security > Assure Security Multi-Factor Authentication (MFA)
Assure Security > Assure Secure File Transfer with PGP
Assure Security > Assure Secure File Transfer
Assure Security > Required for All Modules
Assure iOptimize
Assure iTERA
Assure Security > Assure System Access Manager (SAM)
Version
10.0
Language
English
Product name
Assure
Title
License Manager for IBM i Products
Copyright
2023
First publish date
1999

The following table lists the required minimum software environments that must exist on the IBM i system or partition where the Assure UI server is installed.

If you intend to use the MIMIX portal application from an Assure UI server located on an IBM i node, it is strongly recommended that these requirements be met on all nodes within the MIMIX instance. Default options in the MIMIX product installation wizard will install the Assure UI server on all nodes in the instance. When the software identified in the table exists on all IBM i nodes in the MIMIX instance, it is easier to use multiple Assure UI servers to balance workload or to maintain a highly available Assure UI portal environment. In the event of a MIMIX switch, you will not be delayed by having to install prerequisite software for the Assure UI server on a different node.

Product portal applications also have communication requirements for all nodes in an instance to which the Assure UI server connects.

Before you install the prerequisite software, make sure you know your system’s name or TCP/IP address. Also, ensure that Java is set up correctly on your system. See Determining if Java is set up correctly.

To use the Assure Unified Interface, the following licensed program options are required on the IBM i system where the Assure UI server is installed.
Table 1. Licensed programs and options required on IBM i system where Assure UI server is installed

Licensed Programs

IBM i 7.3 or 7.4

IBM i operating system, and the following options:

  • Host Servers
  • Qshell
  • Portable App Solutions Environment
5770-SS1 *BASE

Option 12

Option 30

Option 33

Note: Option 12 is also required on all IBM i nodes within each product instance to which you will connect via a portal application deployed to the Assure UI server, regardless of whether the server runs on IBM i or on Windows.

IBM Developer Kit for Java, and one of the following options:

  • Java SE 8 32 Bit
  • Java SE 8 64 Bit (recommended)

5770-JV1 *BASE

Option 16

Option 17

Note: On all supported IBM i releases, the STRVSISVR command will fail if 64-bit Java is not installed. However, you can specify STRVSISVR JVM(*IBM32) to start the Assure Unified Interface server in a 32-bit Java environment.
IBM PTFs - Install the latest PTFs for the licensed programs listed above. To locate the most recent available IBM Group PTFs, go to https://www-01.ibm.com/support/docview.wss?uid=nas4PSPbyNum.